QGIS Application - Bug report #22005
Cannot load GPX file automatically after creating it QGIS 3.4.7 QGIS 3.6.2
2019-05-06 04:32 PM - KL Higgins

Status: Open

Priority: High

Assignee:

Category: Vectors

Affected QGIS version:3.6.2 Regression?: Yes
Operating System: Windows 10, 64-bit Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 29819
Description

When | use "save features as..." to create a new gpx file (either from a completely new scratch layer or a shapefile or another gpx file), |
get the following error message when QGIS attempts to load file:

QGIS 3.4.7 (long-term release): "Download with "Protocol" source type failed, do you want to try "File" source type?" (choosing "Yes"
leads to a non-ending circle, choosing "No" leads to "is not a valid or recognized data source”

QGIS 3.6.2 (lateast release): "is not a valid or recognized data source"

When | choose "Add vector layer..." from the menu and select the file, the file loads normally without any issues. Also, if | uncheck "add
saved file to map" during save, there are no error messages (and it does not load either as expected). | tested the workflow on QGIS 2.18
and there are no errors with the same workflow.

(I tried to search to see if this was an existing issue but | could not figure out the search filters, I look forward to the upgrade to github--my
apologies in advance if this has already been flagged)

History

#1 - 2019-05-07 07:19 PM - Randal Hale

Actually | just came up to report the same thing. The error has been around for a bit and | finally had time today to report it - and thanks for doing this part.
The GPX file is created correctly - it only errors when attempting to load after it is exportd using the "Save Vector Layer as...." dialog box.

When saving a shapefile to a file named test.gpx

The log messages are as follows:

2019-05-07T13:10:19 CRITICAL Invalid Data Source : /media/projects/tsf/payne/test.gpx|layername=test is not a valid or recognized data source.
2019-05-07T13:10:19 SUCCESS Layer Exported : Successfully saved vector layer to /media/projects/tsf/payne/test.gpx

Under the OGR Messages:

2019-05-07T13:10:19 WARNING Cannot find layer test.()

#2 - 2019-05-09 09:17 AM - Giovanni Manghi

- Affected QGIS version changed from 3.4.7 to 3.6.2
- Priority changed from Normal to High

- Category changed from Geometry to Vectors

2025-04-26 1/1




